Get model details by ID
curl --request GET \
--url https://api.example.com/api/models/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/models/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/models/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"name": "<string>",
"metadata": {
"numParameters": 123,
"contextWindowSize": 123,
"description": "<string>",
"license": "<string>",
"languages": [
"<string>"
],
"last_updated": "2023-11-07T05:31:56Z",
"library_name": "<string>",
"model_type": "<string>",
"resources": {
"canonicalUrl": "<string>",
"paperUrl": "<string>"
},
"publisher": "<string>",
"files": [
{
"id": "<string>",
"name": "<string>",
"downloadUrl": "<string>",
"sizeBytes": 123,
"sha256checksum": "<string>",
"quantization": "<string>",
"format": "<string>",
"maxRamUsage": 123,
"isDownloaded": true,
"localPath": "<string>"
}
]
}
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}Get model details by ID
Retrieves detailed information about a specific model, including its metadata and files
GET
/
api
/
models
/
{id}
Get model details by ID
Was this page helpful?
⌘I